<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>
<head>
    <x:base include="layout,dialog,grid,tree,combox,commonTree"/>
    <x:script src='/biz/topsun/sap/nonProdApply/materialNameElement.js'/>
</head>
<body>
<form class="hg-form" method="post" action="" id="materialNameElement">
    <x:hidden name="id"/>
    <x:hidden name="billCode"/>
    <div class="hg-form-cols">
        <div class="hg-form-row">
            <x:hidden name="brand"/>
            <x:inputC name="code" label="代号" labelCol="2" fieldCol="10" maxlength="40"/>
            <x:inputC name="brandName" label="品牌" labelCol="2" fieldCol="10" maxlength="40"/>
            <x:inputC name="industry" label="行业" labelCol="2" fieldCol="10" maxlength="40"/>
            <x:inputC name="functionDesc" label="功能" labelCol="2" fieldCol="10" maxlength="40"/>
            <x:inputC name="shape" label="形状（角）" labelCol="2" fieldCol="10" maxlength="40"/>
            <x:inputC name="baseName" label="品名" labelCol="2" fieldCol="10" required="true" maxlength="40"/>
            <x:inputC name="quarter" label="季度" labelCol="2" fieldCol="10" maxlength="40"/>
            <x:inputC name="material" label="材质" labelCol="2" fieldCol="10" maxlength="40"/>
            <x:inputC name="color" label="颜色" labelCol="2" fieldCol="10" maxlength="40"/>
            <x:inputC name="specifications" label="规格mm" labelCol="2" fieldCol="10" maxlength="40"/>
            <x:inputC name="thickness" label="厚度cm" labelCol="2" fieldCol="10" maxlength="40" mask="nnnnnnnn.nnnn"/>
            <x:inputC name="weight" label="克重g" labelCol="2" fieldCol="10" maxlength="40" mask="nnnnnnnn.nnnn"/>
            <x:textareaC name="maktxRemZh" label="物料描述" labelCol="2" fieldCol="10" rows="4"/>
            <x:inputC name="maktx" label="SAP品名" labelCol="2" fieldCol="10" readonly="true" maxlength="40"/>
            <x:inputC name="length" label="字数" labelCol="2" fieldCol="10" readonly="true"/>
        </div>
    </div>
</form>
</body>
</html>
